<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('bil_pelbagai_apis', function (Blueprint $table) {
            //
            $table->after('return_param', function (Blueprint $table) {
                $table->json('data_dihantar')->nullable();
                $table->string('url_dihantar')->nullable();
                $table->string('no_akaun_bil')->nullable();
            });
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('bil_pelbagai_apis', function (Blueprint $table) {
            //
            $table->dropColumn('data_dihantar');
            $table->dropColumn('url_dihantar');
            $table->dropColumn('no_akaun_bil');
        });
    }
};
